Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0044974
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2020-09-03 12:352020-09-28 07:21
Reportersanti_lozanoView Statuspublic 
Assigned Toprakashmurugesan88 
PriorityhighResolutionfixedFixed in VersionRR20Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0044974: Cancel this order doesn’t close correctly the backoffice stock reservation

DescriptionAfter paying for an order on web pos with a delivery mode set for it, go to backoffice and manage a reservation for it. Then on web pos cancel this order, the reservation is not correctly closed. On Stock tab of Product (M_StorageDetail) there is still the reservation and on stock reservation window quantity is still there
Steps To Reproduce* Access to Livebuilds with modules instance, role White Valley Group
* Window Preference. Check that preference “Enable stock reservations” is enabled and also enable “Web pos enable delivery modes”
* Window Product, select Bottle 1 L. Select Home Delivery on field Delivery Mode.
* Go to Web POS and create a ticket for 1 of it, pay for it.
* On Sales Order window, select it. Select its line, click on button Manage Reservation, select the line and click on done.
* On window Stock Reservation the reservation has been created, status Completed.
* On Web POS select the order from the Menu (Open Receipt). Cancel the order (Menu > Cancel this order) and pay for it (give money back).
* On window Stock Reservation remove filters to see previous reservation. Status is closed but qty and reserved qty are 1
* Go to Product window. Tab Stock, reserved qty is still 1 here
Proposed SolutionDon't allow to "Cancel this order" from Web POS if there is a reservation for it
TagsNo tags attached.
Attached Filespng file icon product stock bottle.png [^] (152,717 bytes) 2020-09-03 12:35


png file icon stock reservation bottle.png [^] (139,700 bytes) 2020-09-03 12:37

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0045025 closedprakashmurugesan88 [Cross Store] Must give role access to org 2 in order to close a reservation of an order from store 2 after cancelling it 

-  Notes
(0122999)
marvintm (developer)
2020-09-14 08:28

I've changed this issue to design defect. Unfortunately, WebPOS currently doesn't support reservations, and some of its more complex business flows (like Cancel Order/Layaway or Cancel and Replace) do not take them into account correctly.

(0123106)
santi_lozano (developer)
2020-09-16 12:14

Changed again to type = defect. As Web POS doesn't support reservations, user shouldn't be allowed to "Cancel this order" from Web POS if there is a reservation for it
(This way we can avoid having inconsistent data on customers instances)
(0123223)
marvintm (developer)
2020-09-18 13:41

Ok, makes sense, I think this change we should be able to do.
(0123401)
hgbot (developer)
2020-09-28 04:40

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/109 [^]
(0123410)
hgbot (developer)
2020-09-28 07:21

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: dbdd258beaa9c434f69ec5aee497a45334e63d57
Author: Prakash M <prakash@qualiantech.com>
Date: 2020-09-28T05:20:59+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/dbdd258beaa9c434f69ec5aee497a45334e63d57 [^]

Fixed BUG-44974 : Restricted cancel order in webpos if there is a reservation for any of the lines

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/retail/posterminal/PaidReceipts.java
M web/org.openbravo.retail.posterminal/js/components/menu.js
---
(0123411)
hgbot (developer)
2020-09-28 07:21

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/109 [^]

- Issue History
Date Modified Username Field Change
2020-09-03 12:35 santi_lozano New Issue
2020-09-03 12:35 santi_lozano Assigned To => Retail
2020-09-03 12:35 santi_lozano File Added: product stock bottle.png
2020-09-03 12:35 santi_lozano Triggers an Emergency Pack => No
2020-09-03 12:37 santi_lozano File Added: stock reservation bottle.png
2020-09-03 13:09 eugeni Issue Monitored: eugeni
2020-09-14 08:28 marvintm Note Added: 0122999
2020-09-14 08:28 marvintm Type defect => design defect
2020-09-16 12:14 santi_lozano Regression date => 2020-10-07
2020-09-16 12:14 santi_lozano Note Added: 0123106
2020-09-16 12:14 santi_lozano Type design defect => defect
2020-09-16 12:14 santi_lozano Proposed Solution updated
2020-09-16 12:15 santi_lozano Regression date 2020-10-07 =>
2020-09-16 12:16 santi_lozano Proposed Solution updated
2020-09-18 13:41 marvintm Note Added: 0123223
2020-09-24 07:11 prakashmurugesan88 Assigned To Retail => prakashmurugesan88
2020-09-28 04:40 hgbot Note Added: 0123401
2020-09-28 07:21 hgbot Resolution open => fixed
2020-09-28 07:21 hgbot Status new => closed
2020-09-28 07:21 hgbot Fixed in Version => RR20Q4
2020-09-28 07:21 hgbot Note Added: 0123410
2020-09-28 07:21 hgbot Note Added: 0123411
2020-09-28 07:22 marvintm Relationship added related to 0045025


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker